View Issue Details

IDProjectCategoryView StatusLast Update
0001503FreeCADFeaturepublic2014-04-30 17:11
ReportermdingerAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS Version
Product Version 
Target VersionFixed in Version0.14 
Summary0001503: Make FreeCAD buildable using QT Creator using windows the VC++ 9 compiler
DescriptionFreeCAD should be buildable with QT Creator. It currently builds fine with the VC++ 9 compiler so that should be targeted first.

Currently, it builds fine but almost all the built files are placed one directory too high so it will not run.

Example:
Correct location:
./file.txt

Incorrect:
../file.txt


I have a branch where I fixed this issue here but I have only tested it on windows:
https://github.com/mdinger/FreeCAD_sf_master/tree/qt_creator_win
TagsNo tags attached.

Activities

mdinger

2014-04-11 07:21

reporter   ~0004549

I tried to preserve the previous behavior mostly except for cases like these where the targets change inconsistently:
https://github.com/mdinger/FreeCAD_sf_master/commit/1cbd863#diff-5
https://github.com/mdinger/FreeCAD_sf_master/commit/1cbd863#diff-6
https://github.com/mdinger/FreeCAD_sf_master/commit/cf064b6#diff-2

Where the binaries went was inconsistent for non-windows files. Sometimes they went to a "bin" folder, sometimes to a "lib" folder. Sometimes "INSTALL_RPATH" was the same. Sometimes it wasn't.

I don't know if it matters or not. I guess I expect it will still run when on non-windows but you might consider the files location important. I don't know. I can make it closer to the way it was if it needs to be but I'm not sure if it needs it.

Having someone try to build this in a Linux/Mac environment would probably be good to determine if it still works.

In Windows, it compiles slowly because "nmake" is only single threaded. QT includes "jom" which is a wrapper to make "nmake" multi-threaded but it crashes on my machine so I leave it disabled.
http://qt-project.org/wiki/jom

QT Creator in Windows uses qmake by default but does support cmake. However, it's configuration doesn't seem as flexible because it doesn't support the standard cmake targets: debug, release, etc.

peterl94

2014-04-13 04:01

developer   ~0004550

Last edited: 2014-04-13 04:01

View 2 revisions

For the record, this is not specific to Qt Creator, but is a problem with using nmake and the VS compiler. There are somethings that assume the VS IDE is being used.

mdinger

2014-04-24 02:33

reporter   ~0004572

Sent pull request here: https://github.com/FreeCAD/FreeCAD_sf_master/pull/22.

Thread discussing it here: http://forum.freecadweb.org/viewtopic.php?f=10&t=6297&start=30

It builds fine on Windows for me and is reported to on Linux also.

Related Changesets

FreeCAD: master a17cce35

2014-04-15 03:01:38

mdinger


Committer: wmayer Details Diff
Remove unnecessary quotes. Affected Issues
0001503
mod - src/3rdParty/Pivy-0.5/CMakeLists.txt Diff File
mod - src/3rdParty/Pivy/CMakeLists.txt Diff File
mod - src/Mod/Assembly/App/CMakeLists.txt Diff File
mod - src/Mod/Assembly/Gui/CMakeLists.txt Diff File
mod - src/Mod/Cam/App/CMakeLists.txt Diff File
mod - src/Mod/Cam/Gui/CMakeLists.txt Diff File
mod - src/Mod/Complete/App/CMakeLists.txt Diff File
mod - src/Mod/Complete/Gui/CMakeLists.txt Diff File
mod - src/Mod/Drawing/App/CMakeLists.txt Diff File
mod - src/Mod/Drawing/Gui/CMakeLists.txt Diff File
mod - src/Mod/Fem/App/CMakeLists.txt Diff File
mod - src/Mod/Fem/Gui/CMakeLists.txt Diff File
mod - src/Mod/Image/App/CMakeLists.txt Diff File
mod - src/Mod/Image/Gui/CMakeLists.txt Diff File
mod - src/Mod/Import/App/CMakeLists.txt Diff File
mod - src/Mod/Import/Gui/CMakeLists.txt Diff File
mod - src/Mod/Inspection/App/CMakeLists.txt Diff File
mod - src/Mod/Inspection/Gui/CMakeLists.txt Diff File
mod - src/Mod/Mesh/App/CMakeLists.txt Diff File
mod - src/Mod/Mesh/Gui/CMakeLists.txt Diff File
mod - src/Mod/MeshPart/App/CMakeLists.txt Diff File
mod - src/Mod/MeshPart/Gui/CMakeLists.txt Diff File
mod - src/Mod/Part/App/CMakeLists.txt Diff File
mod - src/Mod/Part/Gui/CMakeLists.txt Diff File
mod - src/Mod/PartDesign/App/CMakeLists.txt Diff File
mod - src/Mod/PartDesign/Gui/CMakeLists.txt Diff File
mod - src/Mod/Points/App/CMakeLists.txt Diff File
mod - src/Mod/Points/Gui/CMakeLists.txt Diff File
mod - src/Mod/Raytracing/App/CMakeLists.txt Diff File
mod - src/Mod/Raytracing/Gui/CMakeLists.txt Diff File
mod - src/Mod/ReverseEngineering/App/CMakeLists.txt Diff File
mod - src/Mod/ReverseEngineering/Gui/CMakeLists.txt Diff File
mod - src/Mod/Robot/App/CMakeLists.txt Diff File
mod - src/Mod/Robot/Gui/CMakeLists.txt Diff File
mod - src/Mod/Sandbox/App/CMakeLists.txt Diff File
mod - src/Mod/Sandbox/Gui/CMakeLists.txt Diff File
mod - src/Mod/Sketcher/App/CMakeLists.txt Diff File
mod - src/Mod/Sketcher/Gui/CMakeLists.txt Diff File
mod - src/Mod/Start/App/CMakeLists.txt Diff File
mod - src/Mod/Start/Gui/CMakeLists.txt Diff File
mod - src/Mod/Test/Gui/CMakeLists.txt Diff File
mod - src/Mod/Web/App/CMakeLists.txt Diff File
mod - src/Mod/Web/Gui/CMakeLists.txt Diff File
mod - src/Tools/_TEMPLATE_/App/CMakeLists.txt Diff File
mod - src/Tools/_TEMPLATE_/Gui/CMakeLists.txt Diff File

FreeCAD: master 88a3e5bf

2014-04-15 19:07:07

mdinger


Committer: wmayer Details Diff
Add 4th optional parameter to set linux install path Affected Issues
0001503
mod - cMake/FreeCadMacros.cmake Diff File
mod - src/Mod/PartDesign/App/CMakeLists.txt Diff File
mod - src/Mod/PartDesign/Gui/CMakeLists.txt Diff File

FreeCAD: master 5fbc308c

2014-04-15 23:40:46

mdinger


Committer: wmayer Details Diff
Comment to document why this module alone is installed differently Affected Issues
0001503
mod - src/Mod/PartDesign/App/CMakeLists.txt Diff File
mod - src/Mod/PartDesign/Gui/CMakeLists.txt Diff File

FreeCAD: master 1f7743ad

2014-04-17 23:31:16

mdinger


Committer: wmayer Details Diff
Disable null prefix on certain FreeCAD* targets Affected Issues
0001503
mod - cMake/FreeCadMacros.cmake Diff File

FreeCAD: master 8df9289d

2014-04-18 07:16:26

mdinger


Committer: wmayer Details Diff
Add runtime location linux will use Affected Issues
0001503
mod - cMake/FreeCadMacros.cmake Diff File

FreeCAD: master f890d1d1

2014-04-30 05:07:55

mdinger


Committer: wmayer Details Diff
Fix precompiled header build error Affected Issues
0001503
mod - cMake/FreeCadMacros.cmake Diff File
mod - src/App/CMakeLists.txt Diff File
mod - src/Base/CMakeLists.txt Diff File
mod - src/Gui/CMakeLists.txt Diff File
mod - src/Mod/Drawing/App/CMakeLists.txt Diff File
mod - src/Mod/Drawing/Gui/CMakeLists.txt Diff File
mod - src/Mod/Mesh/App/CMakeLists.txt Diff File

FreeCAD: master 7d427480

2014-04-30 14:07:27

wmayer

Details Diff
+ Fix PCH issue with VS Affected Issues
0001503
mod - cMake/FreeCadMacros.cmake Diff File

FreeCAD: master 1a7cea9b

2014-04-30 18:22:52

wmayer

Details Diff
+ Fix prefix of Python extensions built with MinGW Affected Issues
0001503
mod - src/3rdParty/Pivy-0.5/CMakeLists.txt Diff File
mod - src/3rdParty/Pivy/CMakeLists.txt Diff File
mod - src/Main/CMakeLists.txt Diff File
mod - src/Mod/Assembly/App/CMakeLists.txt Diff File
mod - src/Mod/Assembly/Gui/CMakeLists.txt Diff File
mod - src/Mod/Complete/App/CMakeLists.txt Diff File
mod - src/Mod/Complete/Gui/CMakeLists.txt Diff File
mod - src/Mod/Drawing/App/CMakeLists.txt Diff File
mod - src/Mod/Drawing/Gui/CMakeLists.txt Diff File
mod - src/Mod/Fem/App/CMakeLists.txt Diff File
mod - src/Mod/Fem/Gui/CMakeLists.txt Diff File
mod - src/Mod/Image/App/CMakeLists.txt Diff File
mod - src/Mod/Image/Gui/CMakeLists.txt Diff File
mod - src/Mod/Import/App/CMakeLists.txt Diff File
mod - src/Mod/Import/Gui/CMakeLists.txt Diff File
mod - src/Mod/Inspection/App/CMakeLists.txt Diff File
mod - src/Mod/Inspection/Gui/CMakeLists.txt Diff File
mod - src/Mod/Mesh/App/CMakeLists.txt Diff File
mod - src/Mod/Mesh/Gui/CMakeLists.txt Diff File
mod - src/Mod/MeshPart/App/CMakeLists.txt Diff File
mod - src/Mod/MeshPart/Gui/CMakeLists.txt Diff File
mod - src/Mod/Part/App/CMakeLists.txt Diff File
mod - src/Mod/Part/Gui/CMakeLists.txt Diff File
mod - src/Mod/PartDesign/App/CMakeLists.txt Diff File
mod - src/Mod/PartDesign/Gui/CMakeLists.txt Diff File
mod - src/Mod/Points/App/CMakeLists.txt Diff File
mod - src/Mod/Points/Gui/CMakeLists.txt Diff File
mod - src/Mod/Raytracing/App/CMakeLists.txt Diff File
mod - src/Mod/Raytracing/Gui/CMakeLists.txt Diff File
mod - src/Mod/ReverseEngineering/App/CMakeLists.txt Diff File
mod - src/Mod/ReverseEngineering/Gui/CMakeLists.txt Diff File
mod - src/Mod/Robot/App/CMakeLists.txt Diff File
mod - src/Mod/Robot/Gui/CMakeLists.txt Diff File
mod - src/Mod/Sandbox/App/CMakeLists.txt Diff File
mod - src/Mod/Sandbox/Gui/CMakeLists.txt Diff File
mod - src/Mod/Sketcher/App/CMakeLists.txt Diff File
mod - src/Mod/Sketcher/Gui/CMakeLists.txt Diff File
mod - src/Mod/Start/App/CMakeLists.txt Diff File
mod - src/Mod/Start/Gui/CMakeLists.txt Diff File
mod - src/Mod/Test/Gui/CMakeLists.txt Diff File
mod - src/Mod/Web/App/CMakeLists.txt Diff File
mod - src/Mod/Web/Gui/CMakeLists.txt Diff File
mod - src/Tools/_TEMPLATE_/App/CMakeLists.txt Diff File
mod - src/Tools/_TEMPLATE_/Gui/CMakeLists.txt Diff File

Issue History

Date Modified Username Field Change
2014-04-11 06:43 mdinger New Issue
2014-04-11 07:21 mdinger Note Added: 0004549
2014-04-13 04:01 peterl94 Note Added: 0004550
2014-04-13 04:01 peterl94 Note Edited: 0004550 View Revisions
2014-04-24 02:33 mdinger Note Added: 0004572
2014-04-30 17:08 wmayer Changeset attached => FreeCAD Master master f890d1d1
2014-04-30 17:08 wmayer Changeset attached => FreeCAD Master master 7d427480
2014-04-30 17:09 wmayer Changeset attached => FreeCAD Master master 1a7cea9b
2014-04-30 17:09 wmayer Changeset attached => FreeCAD Master master 8df9289d
2014-04-30 17:10 wmayer Changeset attached => FreeCAD Master master 1f7743ad
2014-04-30 17:10 wmayer Changeset attached => FreeCAD Master master 5fbc308c
2014-04-30 17:10 wmayer Changeset attached => FreeCAD Master master 88a3e5bf
2014-04-30 17:10 wmayer Changeset attached => FreeCAD Master master a17cce35
2014-04-30 17:11 wmayer Status new => closed
2014-04-30 17:11 wmayer Assigned To => wmayer
2014-04-30 17:11 wmayer Resolution open => fixed
2014-04-30 17:11 wmayer Fixed in Version => 0.14